# Custom Webhook notifications

#### How to enable it

Go to our dashboard, click on edit monitor button, and then click on enable Webhook notifications button and enter your webhook URL. Your webhook URL must return 200 status code.

![Button](/files/-Mf78-8bfbE7wdnIkVas)

#### How to make your own webhook

You can use pipedream to make your webhook and to receive notifications on any service\
You can find Discord embed notifications example pipedream webhook which you can copy and modify [here](https://pipedream.com/@pinglik/pinglik-uptimer-webhook-example-p_xMCGmO6/edit?tab=workflows).

#### POST request format

We are sending POST request with the following body content in JSON (header `Content-Type: application/json`):

```javascript
{
"monitor_name":"example monitor", // monitor name
"monitor_link":"https://example-monitor.pinglik.eu/", // monitor link
"monitor_owner_id":"Discord ID of owner", // your Discord ID
"monitor_owner_tag":"Discord tag of owner", // your Discord tag
"type":"online", // notification type - online, offline or down (when request has failed)
"status_code":200, // response status code
"status_text":"OK", // response status text
"timestamp": "YYYY-MM-DDTHH:mm:ss.sssZ" // actual timestamp in ISO 8601 format
"emoji":"🟢", // Emoji, it depends on the type - 🟢 (online), 🟠 (offline), 🔴 (offline)
"message":"🟢 Your monitor **example monitor** (https://example-monitor.pinglik.eu/) is **online**.\n> Status: **200** (**OK**)", // example message, you can use this when making custom notifications or you can make your own message using other values
"error":"Error message" // only when type is down (request has failed) - here will be fetch error message why it has failed
}
```

#### Notes

If your webhook does not work, you should disable webhook notifications to prevent our system from making useless requests.

If you are using your own webhook using webserver like express, make sure that the route name is some secure random generated string, or someone else can guess the webhook URL and send you fake notifications.

If request to your custom webhook URL has failed, our system may automatically disable notifications for you and you will need to enable it again on dashboard.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uptimer.pinglik.eu/notification-providers/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
